Đến nội dung


Hình ảnh

Căn đối tượng Text vào giữa tâm đường tròn


  • Please log in to reply
3 replies to this topic

#1 hhhhgggg

hhhhgggg

    biết dimedit

  • Members
  • PipPipPipPipPip
  • 393 Bài viết
Điểm đánh giá: 30 (tàm tạm)

Đã gửi 30 May 2009 - 02:25 PM

Bác pro nào bit lệnh căn các đối tượng Text vào tâm đường tròn hoặc HCN thì chỉ cho cả nhà bit với ???
  • 0
Hoàng Giang

#2 xuantran15

xuantran15

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 295 Bài viết
Điểm đánh giá: 112 (tàm tạm)

Đã gửi 30 May 2009 - 03:10 PM

Bạn vào bảng propties chọn điểm bắt điểm của text là midder sau đó move text vào đường tròn như bình thường. (Cách này không hay lắm, bạn nào có cách hay hơn thì chia sẻ nhé) :s_big:
  • 1
Hình đã gửi
Thu đi cho lá vàng bay
Lá rơi cho đám cưới về......

#3 hai_1401

hai_1401

    biết lệnh rotate

  • Members
  • PipPipPip
  • 134 Bài viết
Điểm đánh giá: 30 (tàm tạm)

Đã gửi 30 May 2009 - 03:28 PM

Bác pro nào bit lệnh căn các đối tượng Text vào tâm đường tròn hoặc HCN thì chỉ cho cả nhà bit với ???

Có lips của bác Bemove nè, căn text vào tâm hình chữ nhật, rất hay
http://www.cadviet.c...ctang___DTT.lsp
  • 0

#4 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3805 (đỉnh cao)

Đã gửi 30 May 2009 - 05:46 PM

Có lips của bác Bemove nè, căn text vào tâm hình chữ nhật, rất hay
http://www.cadviet.c...ctang___DTT.lsp

Tue_NV xin bổ sung vào đoạn Lisp của bác Bemove do bạn Hai1401 đưa lên
thêm chức năng căn text vào tâm hình tròn
Kết hợp Lisp của Bác Bemove và của Tue_NV :

(defun c:dtt()

(setvar "cmdecho" 0)
(setq OS (getvar "OSMODE"))
(setvar "OSMODE" 32)

(initget "CN T") ;;;Init keywords
(setq ans (getkword "\n Ban muon can doi tuong TEXT vao tam hinh chu nhat hay hinh tron? [CN/T] :"))
(if (= ans "CN")
(progn
(setq P1 (getpoint "\nPick a corner of the rectangle: "))
(setq P2 (getcorner P1 "\nPick opposite corner of the rectangle: "))
(setq A (angle P1 P2))
(setq D (distance P1 P2))
(setq P3 (polar P1 A (/ D 2.0)))

(setq ST (entsel "\nSelect text to center inside rectangle: "))

(while
(= ST nil)
(progn
(prompt "\nText was not selected...")
(setq ST (entsel "\nSelect text to center inside rectangle: "))
)
)
)
)
(if (= ans "T")
(progn
(setq ci (car (entsel "\n Chon duong tron :")))

(setq ST (entsel "\nSelect text to center inside Circle: "))
(setq P3 (cdr(assoc 10 (entget ci))))
(while
(= ST nil)
(progn
(prompt "\nText was not selected...")
(setq ST (entsel "\nSelect text to center inside Circle: "))
)
)
)
)

(command "justifytext" ST "" "MC")
(setq TMC (cdr (assoc 11 (entget (car ST)))))
(command "move" ST "" TMC P3)

(setvar "OSMODE" OS)
(princ)

)

mellow.gif
  • 4